Package Details: php-interbase 7.4.5-1

Git Clone URL: https://aur.archlinux.org/php-interbase.git (read-only, click to copy)
Package Base: php-interbase
Description: Interbase PHP extension
Upstream URL: http://www.php.net
Keywords: firebird interbase php
Licenses: PHP
Submitter: None
Maintainer: Achterin
Last Packager: nepda
Votes: 8
Popularity: 0.000000
First Submitted: 2010-06-27 12:10
Last Updated: 2020-04-28 10:47

Pinned Comments

nepda commented on 2018-01-05 10:51

Please note, I'm just updating via a script from time to time. Please expect that this does not work.

Please move to the PDO extension (https://aur.archlinux.org/packages/php-pdo-firebird) as this will be deprecated soon.

Latest Comments

1 2 3 Next › Last »

4le34n commented on 2019-12-23 06:34

PKGBUILD: line 16: cd: /tmp/makepkg/php-interbase/src/php-7.4.0/ext/interbase: No such file or directory ==> ERROR: A failure occurred in build(). Aborting.

J5lx commented on 2019-12-13 13:41

Honestly the build process for PEAR packages isn’t all that different from bundled ones. Look here for an example. That package isn’t actually from PEAR, but the build process is nonetheless a perfect example of how it’s done.

nepda commented on 2019-12-13 09:22

Thanks for the report. I've looked it up... the interbase extension was removed from PHP. Now it's a PEAR package.

https://www.php.net/manual/de/migration74.removed-extensions.php

So we need to restructure the build process for this extension. Don't know when i have time for that.

If you have any ideas on that, let me know.

vp_arth commented on 2019-12-13 06:59

Build error with 7.4 version

/home/arth/.cache/yay/php-interbase/PKGBUILD: Line 16: cd: /home/arth/.cache/yay/php-interbase/src/php-7.4.0/ext/interbase: No such file or directory

There is not ext/interbase folder:

[~]: % ls .cache/yay/php-interbase/src/php-7.4.0/ext/ | grep int

intl

https://pastebin.com/ctrkWgmN

nepda commented on 2019-01-11 15:51

I've created a new version with PHP 7.3.1. Please report again, if its not working.

vp_arth commented on 2019-01-07 05:35

Hi, what about to merge php73?

nepda commented on 2018-01-05 10:51

Please note, I'm just updating via a script from time to time. Please expect that this does not work.

Please move to the PDO extension (https://aur.archlinux.org/packages/php-pdo-firebird) as this will be deprecated soon.

SunDoctor commented on 2016-01-07 16:05

This package not working with the latest extra/php 7.0.2-1
Errors due compilation...

nepda commented on 2015-02-24 16:06

Updated to PHP 5.6.6

nepda commented on 2015-01-24 10:32

Updated to PHP 5.6.5